Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
STOFFOLEParserInternal::State Struct Reference

the state of a STOFFOLEParser More...

## Public Member Functions
| State ()
| constructor
std::string | getCLSName (unsigned long id) const
| returns a CLSName if knwon

## Public Attributes
std::vector< std::shared_ptr< STOFFOLEParser::OleDirectory > > | m_oleList
| the ole list
std::vector< std::string > | m_unknownOLEs
| list of ole which can not be parsed

## Protected Member Functions
void | initCLSMap ()
| initialise a map CLSId <-> name

## Protected Attributes
std::map< unsigned long, char const * > | m_mapCls
| map CLSId <-> name

## Detailed Description

the state of a STOFFOLEParser

## Constructor & Destructor Documentation

## ◆ State()

STOFFOLEParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getCLSName()

std::string STOFFOLEParserInternal::State::getCLSName | ( | unsigned long | id | ) | const
| inline

returns a CLSName if knwon

## ◆ initCLSMap()

void STOFFOLEParserInternal::State::initCLSMap | ( |  | ) |
| protected

initialise a map CLSId <-> name

Referenced by getCLSName().

## Member Data Documentation

## ◆ m_mapCls

std::map<unsigned long, char const *> STOFFOLEParserInternal::State::m_mapCls
| protected

map CLSId <-> name

Referenced by getCLSName(), and initCLSMap().

## ◆ m_oleList

std::vector<std::shared_ptr<STOFFOLEParser::OleDirectory> > STOFFOLEParserInternal::State::m_oleList

the ole list

## ◆ m_unknownOLEs

std::vector<std::string> STOFFOLEParserInternal::State::m_unknownOLEs

list of ole which can not be parsed

The documentation for this struct was generated from the following file:

- STOFFOLEParser.cxx